/****************************************************************************
** vim: ts=4 sw=4 noet
**
** Interface to the GUI.
**
**   Created : Tue Sep 21 14:46:17 2010
**        by : Zsolt Branyiczky
** Copyright : (c) Varol Okan
**   License : GPL v 2.0
**
****************************************************************************/

#ifndef DIALOGCONFIGURE_H
#define DIALOGCONFIGURE_H

#include <QDialog>

#include "ui_dialogconfigure.h"

class DialogConfigure : public QDialog, public Ui::ConfigureDialog
{
	Q_OBJECT

public:
	DialogConfigure(QWidget *pParent = 0);

    void *m_pMediaInterface;

public slots:
    virtual void slotPreferredEngine( const QString & newEngine );
    //virtual void exec();  //ooo
    virtual int exec();    //xxx
    virtual void slotEngineInfo();
    virtual void slotSetupEngine();

protected slots:
    virtual void languageChange();
};
#endif

